## random

#### OS/161 Reference Manual

### Name

random - kernel randomness source

### Synopsis

device random0 at lrandom*
device random0 at pseudorand0

### Description

The random device is the generalized interface to randomness sources. Only one random device is used; if more are attached they are ignored. If no random device is found, the kernel may not run.

The random device provides both the in-kernel random() function and a VFS character device, called `random:`. Bytes read from the latter have random values; writes are discarded.

### Files

`random:`

### See Also

lrandom, pseudorand